Jump to content
Froxlor Forum

Search the Community

Showing results for tags 'realease'.



More search options

  • Search By Tags

    Type tags separated by commas.
  • Search By Author

Content Type


Forums

  • Froxlor
    • Announcements
    • Feedback
    • Development
    • Bugs and Feature Requests
    • Trashcan
  • Support
    • General Discussion
  • Other Languages
    • German / Deutsch

Find results in...

Find results that contain...


Date Created

  • Start

    End


Last Updated

  • Start

    End


Filter by number of...

Joined

  • Start

    End


Group


AIM


MSN


Website URL


ICQ


Yahoo


Jabber


Skype


Location


Interests

Found 1 result

  1. Dear Froxlor Community, it has now been a week since I took over the leadership of the project. Besides the survey, which will help setting the development focus of future releases, the goal was to review the changes made in GIT since the last release to publish a new version of Froxlor including a bunch of bugfixes and changes. One of the bigger changes is the complete switch to UTF-8 (see #1117). As this also includes the database we strongly recommened to backup your database before updating. Future releases and plans: The next stable release will be 0.9.28 of course. Followed by a maintenance version called 0.9.29. During that time, some major rework will take place which will lead to a new version-tree called 0.99 (starting with 0.99.0). Main focus will be set on code-cleaning, improving SSL-support and IPv4/IPv6 dualstack (as these two are the first two places on the most-used-feature-list from the survey). Also, some features will be marked as "unstable" or similar, which does not mean they are going to be removed, but that they need a major rework and are likely to not work properly. It is not yet decided what features will be on that list. Feel free to discuss in our IRC-Channel on freenode. Please report bugs/errors in the bugtracker (http://redmine.froxlor.org) as usual. There will be no more new features in 0.9.28. Changes in 0.9.28-rc1: + #1064 customers are now able to search their email-addresses in the overview (like domains, etc.) + #1103 new directory-structure for e-mail accounts. New added accounts will be stored in a new maildir-structure (e.g. /var/customers/mail/<customeracc>/<domain>/<mailacc>/Maildir/). An explanation why this makes sense can be found in the ticket-description. Note: no configuration changes are necessary and existing accounts do not need to be updated, as the homedir/maildir is read from the database. + #1107 the default language for users without a language-setting is now determined via HTTP_ACCEPT_LANGUAGE + #1138 added support for apache-2.4 (note: mod_log_sql is not compatible to apache-2.4) + #1153 path to nginx's fastcgi_params-file is now customizable (as other distributions/systems do not have it in /etc/nginx/) ~ #1067 fixed alias generation when the docroot of a (sub)domain was below the customerdocroot ~ #1068 Apply settings for all subdomains in now deactivateable (but will be checked when you re-open the domain-edit view, this is intended!) ~ #1075 the default php-cgi listener for nginx is now editable as intended ~ #1079 php-fpm files are generated correctly - due to a double "cleaning" of the php-cgi-configdir, they were created and later removed in the cronjobs ~ #1089 + #1118 fixed php-fpm usage on apache-webserver ~ #1095 fixed incorrect display of used traffic in admin-overview ~ #1097 fixed falsey used private class property in database-class ~ #1104 fixed endless-loop in readdir() when bind is not installed but php-fpm is activated ~ #1108 fixed problems when disabling a customer / the customer removes one of his database with mysql version >4.1 ~ #1117 froxlor is now completely using UTF-8 encoding. x #1119 The classic theme has been removed. Maintaining two very different themes and the goal to gain usability and simplicity lead to that decision. Important information: support for mod_log_sql will drop in the final 0.9.28 release. If you still use it, please switch to webalizer or awstats support for dovecot-1 on Gentoo will be dropped in 0.9.29 as Gentoo's tree does not include it anymore. support for Debian Lenny has been removed as it is EOL since 6.2.2012. support for Ubuntu Hardy will be deprecated in 0.9.28 and removed in 0.9.29 as it will be unsupported in april 2013. php's safe_mode setting will be removed in the final 0.9.28 release as it is deprecated. Download: 0.9.28-rc1 Note: As this is a release candidate, there will be no Debian packages and no new Gentoo ebuild for this. Visit http://www.froxlor.org or join our IRC channel #froxlor on irc.freenode.net. Thank you, d00p
×
×
  • Create New...